package w83b.w83bManager;

import java.util.HashMap;
import java.util.List;

import w83b.w83bBeans.W83bLotesPreavisosBean;
import w83b.w83bDAO.W83bFactoriaDAO;


public class W83bLotesPreavisos implements W83bILotesPreavisos {
	
	
	public HashMap anyadirLotePreavisos(W83bLotesPreavisosBean param) throws Exception {
	
		HashMap res = W83bFactoriaDAO.getLotesPreavisosDAO().anyadirLotePreavisos(param);		

		return res;
	}
	
	public java.util.List detallePreavisos(W83bLotesPreavisosBean param) throws Exception{
		
		//TODO
		List lote = W83bFactoriaDAO.getLotesPreavisosDAO().detallePreavisos(param);
		
		return lote;	
	}

	public w83b.w83bBeans.W83bLotesPreavisosBean detalleLotesPreavisos(W83bLotesPreavisosBean param) throws Exception{
		
		//TODO
		W83bLotesPreavisosBean lote = W83bFactoriaDAO.getLotesPreavisosDAO().detalleLotesPreavisos(param);
		
		return lote;	
	}

	public w83b.w83bBeans.W83bLotesPreavisosBean generarNotificaciones(W83bLotesPreavisosBean param) throws Exception{
		
		//TODO
		W83bLotesPreavisosBean lote = W83bFactoriaDAO.getLotesPreavisosDAO().generarNotificaciones(param);
		
		return lote;	
	}
	public w83b.w83bBeans.W83bLotesPreavisosBean deshacerAltaLote(W83bLotesPreavisosBean param) throws Exception{
		
		//TODO
		W83bLotesPreavisosBean lote = W83bFactoriaDAO.getLotesPreavisosDAO().deshacerAltaLote(param);
		
		return lote;	
	}
	
	public w83b.w83bBeans.W83bLotesPreavisosBean obtenerDetallePreaviso(W83bLotesPreavisosBean param) throws Exception{
		
		//TODO
		W83bLotesPreavisosBean lote = W83bFactoriaDAO.getLotesPreavisosDAO().obtenerDetallePreaviso(param);
		
		return lote;	
	}
	
}